Skip to main content

slackbot.skills.update method

Facts​

DescriptionChanges a Slackbot skill's instructions or metadata.
Method Access
POST https://slack.com/api/slackbot.skills.update
Scopes
User token:
Content types
application/x-www-form-urlencoded
application/json

Arguments​

Required arguments

tokenstringRequired

Authentication token bearing required scopes. Tokens should be passed as an HTTP Authorization header or alternatively, as a POST parameter.

Example: xxxx-xxxxxxxxx-xxxx
skill_idstringRequired

Skill to change.

Optional arguments

display_namestringOptional

Human-readable label. Max 255 characters.

instructionsstringOptional

Markdown that replaces the whole document.

descriptionstringOptional

When Slackbot should use the skill. Max 400 characters. Send an empty string to clear.

categorystringOptional

One of the skill categories. Send an empty string to clear.

Acceptable values: communication customer_support data_and_analytics engineering product_management productivity professional_development project_management sales system team_management other
example_promptstringOptional

Max 200 characters. May contain {skill}. Send an empty string to clear.

mcp_serversarrayOptional

Apps the skill needs. Replaces the whole list; send [] to clear.

Usage info​

The slackbot.skills.update API method changes a Slackbot skill's instructions or metadata. Only the arguments you send are changed. Sending instructions replaces the whole document, and sending mcp_servers replaces the whole list.

Unchanged values are skipped where they can be compared, but markdown normalization can still cause the instructions to be rewritten. An update can partially apply if it fails partway through, and retrying the same request is safe.


Response​

Typical success response

{
"ok": true,
"skill": {
"id": "F0123ABCD",
"type": "canvas",
"display_name": "Daily priorities",
"name": null,
"description": "Reviews information from Slack and your calendar to suggest priorities for the day.",
"category": "productivity",
"example_prompt": "Run {skill} for today",
"instructions": null,
"visibility": "anyone_can_view",
"is_official": true,
"access": "write",
"mcp_servers": [
{
"service_type": "app",
"app_id": "A0123ABCD",
"server_id": "Amcp0456EFGH",
"display_name": "Google Calendar",
"is_available": true
}
],
"usage_count": 1840,
"library_count": 312,
"creator_id": "U0123ABCD",
"date_created": 1790000000,
"date_updated": 1790100000,
"permalink": "https://example.slack.com/docs/T0123ABCD/F0123ABCD"
}
}

Typical error response

{
"ok": false,
"error": "method_not_supported_for_skill_type"
}

Errors​

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok parameter in the response.

Error
Description
access_denied

Access to a resource specified in the request is denied.

accesslimited

Access to this method is limited on the current network

account_inactive

Authentication token is for a deleted user or workspace when using a bot token.

canvas_editing_failed

The skill's instructions or display name couldn't be saved.

canvas_editing_locked

Another edit to the skill is in progress. Retry the request.

deprecated_endpoint

The endpoint has been deprecated.

description_too_long

description is longer than 400 characters.

display_name_too_long

display_name is longer than 255 characters.

ekm_access_denied

Administrators have suspended the ability to post a message.

enterprise_is_restricted

The method cannot be called from an Enterprise.

example_prompt_too_long

example_prompt is longer than 200 characters.

fatal_error

The server could not complete your operation(s) without encountering a catastrophic error. It's possible some aspect of the operation succeeded before the error was raised.

feature_not_enabled

The Skills API isn't enabled for this organization.

instructions_too_large

instructions is larger than 500,000 bytes.

internal_error

The skill's metadata couldn't be saved. Retry the request.

internal_error

The server could not complete your operation(s) without encountering an error, likely due to a transient issue on our end. It's possible some aspect of the operation succeeded before the error was raised.

invalid_arg_name

The method was passed an argument whose name falls outside the bounds of accepted or expected values. This includes very long names and names with non-alphanumeric characters other than _. If you get this error, it is typically an indication that you have made a very malformed API call.

invalid_arguments

The method was called with invalid arguments.

invalid_array_arg

The method was passed an array as an argument. Please only input valid strings.

invalid_auth

Some aspect of authentication cannot be validated. Either the provided token is invalid or the request originates from an IP address disallowed from making the request.

invalid_category

category isn't one of the skill categories.

invalid_charset

The method was called via a POST request, but the charset specified in the Content-Type header was invalid. Valid charset names are: utf-8 iso-8859-1.

invalid_form_data

The method was called via a POST request with Content-Type application/x-www-form-urlencoded or multipart/form-data, but the form data was either missing or syntactically invalid.

invalid_post_type

The method was called via a POST request, but the specified Content-Type was invalid. Valid types are: application/json application/x-www-form-urlencoded multipart/form-data text/plain.

mcp_server_not_found

One or more declared apps don't exist or aren't available to the caller. invalid_mcp_servers lists them.

method_deprecated

The method has been deprecated.

method_not_supported_for_skill_type

Only canvas skills can be changed.

missing_post_type

The method was called via a POST request and included a data payload, but the request did not include a Content-Type header.

missing_scope

The token used is not granted the specific scope permissions required to complete this request.

no_permission

The workspace token used in this request does not have the permissions necessary to complete the request. Make sure your app is a member of the conversation it's attempting to post a message to.

not_allowed_token_type

The token type used in this request is not allowed.

not_authed

No authentication token provided.

org_login_required

The workspace is undergoing an enterprise migration and will not be available until migration is complete.

ratelimited

The request has been ratelimited. Refer to the Retry-After header for when to retry the request.

request_timeout

The method was called via a POST request, but the POST data was either missing or truncated.

restricted_action

The caller isn't allowed to change this skill.

service_unavailable

The service is temporarily unavailable

skill_not_found

The skill doesn't exist or the caller can't see it.

team_access_not_granted

The token used is not granted the specific workspace access required to complete this request.

team_added_to_org

The workspace associated with your request is currently undergoing migration to an Enterprise Organization. Web API and other platform operations will be intermittently unavailable until the transition is complete.

token_expired

Authentication token has expired

token_revoked

Authentication token is for a deleted user or workspace or the app has been removed when using a user token.

too_many_mcp_servers

More apps were declared than the caller can enable at once.

two_factor_setup_required

Two factor setup is required.